import { JupyterLab } from '@jupyterlab/application';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { ServiceManager } from "@jupyterlab/services";
import { JupyterLabTheme } from "./../../jupyter/lab/JupyterLabTheme";
import JupyterLabAppAdapter from "./JupyterLabAppAdapter";
export type JupyterLabAppProps = {
    hostId: string;
    extensions: Array<JupyterLab.IPluginModule>;
    mimeExtensions: Array<IRenderMime.IExtensionModule>;
    extensionPromises: Array<Promise<JupyterLab.IPluginModule>>;
    mimeExtensionPromises: Array<Promise<IRenderMime.IExtensionModule>>;
    position: string;
    width: string | number;
    height: string | number;
    devMode: boolean;
    headless: boolean;
    serviceManager?: ServiceManager;
    theme: JupyterLabTheme;
    onReady: (jupyterlabAppdapter: JupyterLabAppAdapter) => void;
};
export declare const JupyterLabApp: {
    (props: JupyterLabAppProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<JupyterLabAppProps>;
};
export default JupyterLabApp;
