import { CommandRegistry } from '@lumino/commands';
import { JupyterLab, JupyterFrontEndPlugin } from '@jupyterlab/application';
import { JupyterFrontEnd, LabShell } from '@jupyterlab/application';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { DocumentRegistry } from '@jupyterlab/docregistry';
import { JupyterLabAppProps } from "./JupyterLabApp";
type Plugin = JupyterFrontEndPlugin<any, any, any> & {
    service: any;
};
type Plugins = Map<string, Plugin>;
export declare class JupyterLabAppAdapter {
    private _props;
    private _jupyterlab;
    private _shell;
    private _plugins;
    private _ready;
    private _readyResolve;
    constructor(props: JupyterLabAppProps);
    loadApp(props: JupyterLabAppProps): Promise<void>;
    get jupyterlab(): JupyterLab;
    get shell(): LabShell;
    get docRegistry(): DocumentRegistry;
    get commands(): CommandRegistry;
    get mimeExtensions(): IRenderMime.IExtensionModule[];
    get info(): JupyterLab.IInfo;
    get path(): JupyterFrontEnd.IPaths;
    get plugins(): Plugins;
    get ready(): Promise<void>;
    get props(): JupyterLabAppProps;
    plugin(id: string): Plugin | undefined;
    service(id: string): Plugin["service"];
}
export default JupyterLabAppAdapter;
