// import { Widget } from '@lumino/widgets';
import { JupyterLab } from '@jupyterlab/application';
import { LabShell } from '@jupyterlab/application';
/*
interface IHeadLessLabShell extends ILabShell {
//  set currentWidget(widget: Widget | null);
}
class HeadlessLabShell extends LabShell implements IHeadLessLabShell {
  private _currentWidget: Widget | null;
  constructor(options?: ILabShell.IOptions) {
    super(options);
  }
  get currentWidget() {
    return this._currentWidget;
  }
  set currentWidget(widget: Widget | null) {
    this._currentWidget = widget;
  }
}
*/
class HeadLessJupyterLab extends JupyterLab {
    constructor(options) {
        super(options);
    }
}
export class JupyterLabAppAdapter {
    _props;
    _jupyterlab;
    _shell;
    _plugins;
    _ready;
    _readyResolve;
    constructor(props) {
        this._ready = new Promise((resolve, _) => {
            this._readyResolve = resolve;
        });
        this.loadApp(props);
    }
    async loadApp(props) {
        this._props = props;
        const { hostId, extensions, mimeExtensions, extensionPromises, mimeExtensionPromises, devMode, headless, serviceManager } = props;
        const mimeExtensionResolved = await Promise.all(mimeExtensionPromises);
        mimeExtensions.push(...mimeExtensionResolved);
        this._shell = new LabShell();
        this._jupyterlab = new HeadLessJupyterLab({
            shell: this._shell,
            mimeExtensions,
            devMode,
            serviceManager,
            disabled: {
                patterns: [],
                matches: [],
            },
            deferred: {
                patterns: [],
                matches: [],
            },
        });
        const extensionResolved = await Promise.all(extensionPromises);
        extensions.push(...extensionResolved);
        this._jupyterlab.registerPluginModules(extensions);
        if (headless) {
            //      this._jupyterlab.deregisterPlugin('@jupyterlab/apputils-extension:splash', true);
        }
        await this._jupyterlab.start({
            hostID: hostId,
            startPlugins: [],
            ignorePlugins: [],
        });
        await this._jupyterlab.restored;
        this._plugins = this._jupyterlab['_plugins'];
        this._readyResolve();
    }
    get jupyterlab() {
        return this._jupyterlab;
    }
    get shell() {
        return this._shell;
    }
    get docRegistry() {
        return this._jupyterlab.docRegistry;
    }
    get commands() {
        return this._jupyterlab.commands;
    }
    get mimeExtensions() {
        return this._jupyterlab.info.mimeExtensions;
    }
    get info() {
        return this._jupyterlab.info;
    }
    get path() {
        return this._jupyterlab.paths;
    }
    get plugins() {
        return this._plugins;
    }
    get ready() {
        return this._ready;
    }
    get props() {
        return this._props;
    }
    plugin(id) {
        return this._plugins.get(id);
    }
    service(id) {
        return this._plugins.get(id)?.service;
    }
}
export default JupyterLabAppAdapter;
//# sourceMappingURL=JupyterLabAppAdapter.js.map