import { BoxPanel } from '@lumino/widgets';
import { SessionContext } from '@jupyterlab/apputils';
import { CodeCell } from '@jupyterlab/cells';
import { ServerConnection } from '@jupyterlab/services';
import Kernel from '../../jupyter/kernel/Kernel';
export declare class CellAdapter {
    private _codeCell;
    private _kernel;
    private _panel;
    private _sessionContext;
    constructor(options: CellAdapter.ICellAdapterOptions);
    get panel(): BoxPanel;
    get codeCell(): CodeCell;
    get sessionContext(): SessionContext;
    get kernel(): Kernel;
    execute: () => void;
}
export declare namespace CellAdapter {
    type ICellAdapterOptions = {
        source: string;
        serverSettings: ServerConnection.ISettings;
        kernel: Kernel;
    };
}
export default CellAdapter;
