import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useState, useEffect } from 'react';
import { useJupyter } from './../../jupyter/JupyterContext';
import Lumino from '../../jupyter/lumino/Lumino';
import ConsoleAdapter from './ConsoleAdapter';
import './Console.css';
export const Console = () => {
    const { serviceManager } = useJupyter();
    const [adapter, setAdapter] = useState();
    useEffect(() => {
        if (serviceManager) {
            const adapter = new ConsoleAdapter(serviceManager);
            setAdapter(adapter);
        }
    }, [serviceManager]);
    return serviceManager && adapter
        ?
            _jsx(Lumino, { children: adapter.panel })
        :
            _jsx(_Fragment, { children: "Loading Jupyter Console..." });
};
export default Console;
//# sourceMappingURL=Console.js.map