import { CommandRegistry } from '@lumino/commands';
import { BoxPanel } from '@lumino/widgets';
import { ServiceManager } from '@jupyterlab/services';
import { NotebookPanel } from '@jupyterlab/notebook';
import { CompletionHandler } from '@jupyterlab/completer';
import { INotebookContent, CellType } from '@jupyterlab/nbformat';
import { Kernel } from "../../jupyter/kernel/Kernel";
import { INotebookProps } from './Notebook';
export declare class NotebookAdapter {
    private _boxPanel;
    private _commandRegistry;
    private _context?;
    private _bundledIPyWidgets?;
    private _externalIPyWidgets?;
    private _iPyWidgetsClassicManager?;
    private _ipywidgets;
    private _kernel;
    private _nbformat?;
    private _nbgrader;
    private _notebookPanel?;
    private _path?;
    private _readOnly;
    private _renderers;
    private _rendermime?;
    private _serviceManager;
    private _store?;
    private _tracker?;
    private _uid;
    private _CellSidebar?;
    constructor(props: INotebookProps, store: any, serviceManager: ServiceManager);
    private loadNotebook;
    setupCompleter(notebookPanel: NotebookPanel): CompletionHandler;
    assignKernel(kernel: Kernel): void;
    get uid(): string;
    get notebookPanel(): NotebookPanel | undefined;
    get commands(): CommandRegistry;
    get panel(): BoxPanel;
    get serviceManager(): ServiceManager;
    setNbformat(nbformat: INotebookContent): void;
    setDefaultCellType: (cellType: CellType) => void;
    changeCellType: (cellType: CellType) => void;
    insertAbove: (source?: string) => void;
    insertBelow: (source?: string) => void;
    dispose: () => void;
}
export default NotebookAdapter;
