import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import { Text } from '@primer/react';
import Jupyter from '../jupyter/Jupyter';
import { useJupyter } from '../jupyter/JupyterContext';
import Output from "../components/output/Output";
const SOURCE_1 = '1+1';
const SOURCE_1_OUTPUTS = [
    {
        "data": {
            "text/plain": [
                "2"
            ]
        },
        "execution_count": 1,
        "metadata": {},
        "output_type": "execute_result"
    }
];
const OutputWithoutEditor = () => {
    return (_jsxs(_Fragment, { children: [_jsx(Text, { as: "h1", children: "Output without Editor" }), _jsx(Output, { showEditor: false, outputs: SOURCE_1_OUTPUTS })] }));
};
const OutputWithEditor = () => {
    const { defaultKernel } = useJupyter();
    return (_jsxs(_Fragment, { children: [_jsx(Text, { as: "h1", children: "Output with Editor" }), _jsx(Output, { showEditor: true, autoRun: false, kernel: defaultKernel, code: SOURCE_1, outputs: SOURCE_1_OUTPUTS })] }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsxs(Jupyter, { children: [_jsx(OutputWithoutEditor, {}), _jsx(OutputWithEditor, {})] }));
//# sourceMappingURL=Output.js.map