import { DisposableDelegate } from '@lumino/disposable';
import { DocumentRegistry, Context } from '@jupyterlab/docregistry';
import { INotebookModel, INotebookTracker, NotebookTracker } from '@jupyterlab/notebook';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { WidgetRenderer } from './renderer';
import * as base from '@jupyter-widgets/base';
import { BundledIPyWidgets, ExternalIPyWidgets } from '../../../components/notebook/Notebook';
export declare function registerWidgetManager(context: DocumentRegistry.IContext<INotebookModel>, rendermime: IRenderMimeRegistry, renderers: IterableIterator<WidgetRenderer>): DisposableDelegate;
export declare const externalIPyWidgetsPlugin: (context: Context<INotebookModel>, notebookTracker: NotebookTracker, ipywidgets: ExternalIPyWidgets[]) => void;
export declare const bundledIPyWidgetsPlugin: (context: Context<INotebookModel>, notebookTracker: NotebookTracker, ipywidgets: BundledIPyWidgets[]) => void;
/**
 * The widget manager provider.
 */
export declare const managerPlugin: {
    activate: typeof activateWidgetExtension;
};
/**
 * Activate the widget extension.
 */
declare function activateWidgetExtension(rendermime: IRenderMimeRegistry, tracker: INotebookTracker): base.IJupyterWidgetRegistry;
/**
 * The base widgets.
 */
export declare const baseWidgetsPlugin: {
    activate: (registry: base.IJupyterWidgetRegistry) => void;
};
/**
 * The control widgets.
 */
export declare const controlWidgetsPlugin: {
    activate: (registry: base.IJupyterWidgetRegistry) => void;
};
/**
 * The output widget.
 */
export declare const outputWidgetPlugin: {
    activate: (registry: base.IJupyterWidgetRegistry) => void;
};
declare const _default: ({
    activate: typeof activateWidgetExtension;
} | {
    activate: (registry: base.IJupyterWidgetRegistry) => void;
})[];
export default _default;
